RubyGems Navigation menu

maremma 4.9.8

Ruby utility library for network requests. Based on Faraday and Excon, provides a wrapper for XML/JSON parsing and error handling. All successful responses are returned as hash with key data, all errors in a JSONAPI-friendly hash with key errors.

Versions:

  1. 4.9.8 - May 24, 2022 (245 KB)
  2. 4.9.7 - January 04, 2022 (245 KB)
  3. 4.9.6 - October 28, 2021 (246 KB)
  4. 4.9.5 - July 20, 2021 (245 KB)
  5. 4.9.4 - June 07, 2021 (245 KB)
Show all versions (84 total)

Runtime Dependencies (10):

  • activesupport >= 4.2.5
  • addressable >= 2.3.6
  • builder ~> 3.2, >= 3.2.2
  • excon ~> 0.71.0
  • faraday ~> 0.17.3
  • faraday-encoding ~> 0.0.4
  • faraday_middleware ~> 0.14.0
  • nokogiri >= 1.11.2, < 1.14.0
  • oj >= 2.8.3
  • oj_mimic_json ~> 1.0, >= 1.0.1
  • Development Dependencies (9):

  • bundler ~> 2.0
  • rack-test ~> 0
  • rake >= 0
  • rspec ~> 3.4
  • rubocop ~> 0.77.0
  • rubocop-performance ~> 1.5, >= 1.5.1
  • simplecov >= 0
  • vcr ~> 3.0, >= 3.0.3
  • webmock ~> 3.0, >= 3.0.1
  • Owners:

    Pushed by:

    Authors:

    • Martin Fenner

    SHA 256 checksum:

    87916e8a5e768eb65bcdf05f518ecf4ec4624ff7ad4d90f54944be5cb085eefa

    Total downloads 168,940

    For this version 389

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 0

    Links: